> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Scoped Reference Sources



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-sources
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-sources:
    get:
      tags:
        - Collections
      summary: Find Scoped Reference Sources
      operationId: CollectionsController_findScopedReferenceSources_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
        - name: kind
          required: false
          in: query
          schema:
            type: string
            enum:
              - catalog_item
              - spec_template
        - name: cursor
          required: false
          in: query
          schema:
            minLength: 1
            maxLength: 512
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
        - name: search
          required: false
          in: query
          schema:
            type: string
        - name: categoryId
          required: false
          in: query
          schema:
            type: string
        - name: filter
          required: false
          in: query
          schema:
            additionalProperties:
              $ref: '#/components/schemas/ColumnFilterValueSchema'
            type: object
          style: deepObject
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionReferenceSourcePageDto'
      security:
        - bearer: []
components:
  schemas:
    ColumnFilterValueSchema:
      type: object
      properties:
        value:
          anyOf:
            - type: string
            - type: number
            - type: boolean
        values:
          type: array
          items:
            type: string
        min:
          type: number
        max:
          type: number
        from:
          type: string
        to:
          type: string
        mode:
          type: string
          enum:
            - contains
            - equals
      additionalProperties: false
    CollectionReferenceSourcePageDto:
      type: object
      properties:
        items:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/CollectionCatalogReferenceSourceOptionDto'
              - $ref: >-
                  #/components/schemas/CollectionSpecTemplateReferenceSourceOptionDto
            discriminator:
              propertyName: kind
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CollectionCatalogReferenceSourceOptionDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog_item
        catalogItemId:
          type: string
        catalogFamilySourceId:
          type: string
          nullable: true
        key:
          type: string
        productTypeId:
          type: string
        productTypeLabel:
          type: string
        categoryId:
          type: string
        categoryLabel:
          type: string
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        alreadyAdded:
          type: boolean
        entryId:
          type: string
          nullable: true
        referenceItemId:
          type: string
          nullable: true
      required:
        - kind
        - catalogItemId
        - catalogFamilySourceId
        - key
        - productTypeId
        - productTypeLabel
        - categoryId
        - categoryLabel
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - alreadyAdded
        - entryId
        - referenceItemId
    CollectionSpecTemplateReferenceSourceOptionDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - spec_template
        brandStandardId:
          type: string
        key:
          type: string
        productTypeId:
          type: string
        productTypeLabel:
          type: string
        categoryId:
          type: string
        categoryLabel:
          type: string
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        alreadyAdded:
          type: boolean
        entryId:
          type: string
          nullable: true
        referenceItemId:
          type: string
          nullable: true
      required:
        - kind
        - brandStandardId
        - key
        - productTypeId
        - productTypeLabel
        - categoryId
        - categoryLabel
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - alreadyAdded
        - entryId
        - referenceItemId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````